Trying to upgrade manager to the latest 4.2, got error at the engine-setup phase

Solution Verified - Updated -

Issue

  • Trying to upgrade manager to the latest 4.2, got error at the engine-setup phase:
2019-06-05 17:03:13,576-0500 ERROR otopi.plugins.ovirt_engine_setup.ovirt_engine_common.distro-rpm.packages packages.error:211 Yum [u'eap7-jboss-server-migration-wildfly9.0-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-wildfly9.0 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly10.1-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-wildfly10.1 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-eap6.4-to-eap7.0-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap6.4 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-eap7.0-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.1 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly10.0-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.1 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly8.2-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-wildfly8.2 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly10.1-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.1 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-eap7.0-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.0 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-eap6.4-to-eap7.0-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.0 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly10.0-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-wildfly10.0 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly8.2-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.1 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly9.0-to-eap7.0-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.0 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly8.2-to-eap7.0-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-wildfly8.2 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly9.0-to-eap7.0-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-wildfly9.0 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-eap6.4-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.1 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly8.2-to-eap7.0-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.0 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly9.0-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-eap7.1 = 1.0.7-1.Final_redhat_00001.1.ep7.el7']
2019-06-05 17:03:13,577-0500 INFO otopi.plugins.ovirt_engine_setup.ovirt_engine_common.distro-rpm.packages packages.info:207 Yum Performing yum transaction rollback
2019-06-05 17:03:13,580-0500 DEBUG otopi.context context._executeMethod:143 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 133, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/ovirt-engine-common/distro-rpm/packages.py", line 363, in _customization
    ) = self._checkForProductUpdate()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/ovirt-engine-common/distro-rpm/packages.py", line 248, in _checkForProductUpdate
    if mpm.buildTransaction():
  File "/usr/lib/python2.7/site-packages/otopi/miniyum.py", line 920, in buildTransaction
    raise yum.Errors.YumBaseError(msg)
YumBaseError: [u'eap7-jboss-server-migration-wildfly9.0-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-wildfly9.0 = 1.0.7-1.Final_redhat_00001.1.ep7.el7',...
2019-06-05 17:03:13,589-0500 ERROR otopi.context context._executeMethod:152 Failed to execute stage 'Environment customization': [u'eap7-jboss-server-migration-wildfly9.0-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-wildfly9.0 = 1.0.7-1.Final_redhat_00001.1.ep7.el7', u'eap7-jboss-server-migration-wildfly10.1-to-eap7.1-1.0.7-1.Final_redhat_00001.1.ep7.el7.noarch requires eap7-jboss-server-migration-wildfly10.1 = 1.0.7-1.Final_redhat_00001.1.ep7.el7'...

Environment

  • Red Hat Virtualization 4.2

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In